Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 541039

Summary: Motorola S9 is recognized asmono earpiece
Product: [Fedora] Fedora Reporter: Pete Zaitcev <zaitcev>
Component: bluezAssignee: Bastien Nocera <bnocera>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: anton, bnocera, dwmw2, marcel, plautrba
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-10 14:52:53 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Pete Zaitcev 2009-11-24 14:33:15 EST
Description of problem:

My Motorola S9 headphones are recognized as a mono device, whereas
it is in fact a stereo device.

Version-Release number of selected component (if applicable):

bluez-4.57-2.fc12.x86_64
pulseaudio-0.9.19-2.fc12.x86_64

How reproducible:

Synchronous

Steps to Reproduce:
1. Pair Motorola S9 (using bluetooth-wizard)
2. Pulse reports the device as mono (use gnome-volume-control to check)

Actual results:

Mono

Expected results:

Stereo

Additional info:

The S9 is a dual-profile device and it has a mike, so it can be used
with a cellphone like an earpiece, but it also presents a "headphones"
profile. I have no idea how this works, but I have a Jabra BT adapter
for iPod, which pairs with S9 and transmits stereo with good quality.
Comment 1 Bastien Nocera 2009-12-10 10:19:22 EST
You can switch the profile in gnome-volume-control.
Comment 2 Pete Zaitcev 2009-12-10 14:52:53 EST
Indeed now I can see the drop-down box. Weird... I tested, it works.
Thanks, and sorry for the noise. Closing the bug.
Comment 3 Bastien Nocera 2009-12-10 15:10:48 EST
I've added a menu item to the sound preferences' hardware tab from the Bluetooth applet's menu, upstream, to make this a bit clearer/easier to access.